org.keycloak.authorization.util

## Class Permissions

- java.lang.Object
- - org.keycloak.authorization.util.Permissions

-     public final class Permissions
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Permissions()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<ResourcePermission>` | `all(ResourceServer resourceServer, Identity identity, AuthorizationProvider authorization)` Returns a list of permissions for all resources and scopes that belong to the given `resourceServer` and `identity`.
    `static List<Permission>` | `allPermits(List<Result> evaluation, AuthorizationProvider authorizationProvider)`
    `static List<ResourcePermission>` | `createResourcePermissions(Resource resource, Set<String> requestedScopes, AuthorizationProvider authorization)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Permissions

          public Permissions()

  - ### Method Detail

    - #### all

          public static List<ResourcePermission> all(ResourceServer resourceServer,
                                                     Identity identity,
                                                     AuthorizationProvider authorization)

      Returns a list of permissions for all resources and scopes that belong to the given `resourceServer` and `identity`. TODO: review once we support caches
      Parameters:
        `resourceServer` -
        `identity` -
        `authorization` -
      Returns:

    - #### createResourcePermissions

          public static List<ResourcePermission> createResourcePermissions(Resource resource,
                                                                           Set<String> requestedScopes,
                                                                           AuthorizationProvider authorization)

    - #### allPermits

          public static List<Permission> allPermits(List<Result> evaluation,
                                                    AuthorizationProvider authorizationProvider)

Copyright © 2016 JBoss by Red Hat. All rights reserved.